Get prices for a product
curl --request GET \
--url https://api.vantage.sh/v2/products/{product_id}/prices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/products/{product_id}/prices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/products/{product_id}/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v1/products/aws-ec2-m5d_16xlarge/prices",
"first": "https://api.vantage.sh/v1/products/aws-ec2-m5d_16xlarge/prices?page=1",
"next": null,
"last": "https://api.vantage.sh/v1/products/aws-ec2-m5d_16xlarge/prices?page=1",
"prev": null
},
"prices": [
{
"id": "aws-ec2-m5d_16xlarge-eu_central_1-on_demand-linux_enterprise",
"unit": "hour",
"region": "eu-central-1",
"rate_type": "compute",
"currency": "USD",
"amount": 27.328,
"details": {
"platform": "linux-enterprise",
"lifecycle": "on-demand"
}
},
{
"id": "aws-ec2-m5d_16xlarge-us_east_1-on_demand-linux_enterprise",
"unit": "hour",
"region": "us-east-1",
"rate_type": "compute",
"currency": "USD",
"amount": 3.616,
"details": {
"platform": "linux-enterprise",
"lifecycle": "on-demand"
}
},
{
"id": "aws-ec2-m5d_16xlarge-us_east_1-on_demand-rhel",
"unit": "hour",
"region": "us-east-1",
"rate_type": "compute",
"currency": "USD",
"amount": 3.746,
"details": {
"platform": "rhel",
"lifecycle": "on-demand"
}
}
]
}Prices
Get prices for a product
Return available Prices across all Regions for a Product.
GET
/
products
/
{product_id}
/
prices
Get prices for a product
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000
⌘I